Public Attributes | List of all members
gls_meas_ctx_t Struct Reference
BLE Services » Glucose Service (GLS) » Structures

Glucose measurement context structure. More...

`#include <gls.h>`

Collaboration diagram for gls_meas_ctx_t:
[legend]

## Public Attributes
uint8_t | flags
| Flags. More...
uint8_t | extended_flags
| Extended Flags. More...
uint8_t | carbohydrate_id
| Carbohydrate ID. More...
gls_ieee_float16_t | carbohydrate
| Carbohydrate. More...
uint8_t | meal
| Meal. More...
uint8_t | tester_and_health
| Tester and health. More...
uint16_t | exercise_duration
| Exercise Duration. More...
uint8_t | exercise_intensity
| Exercise Intensity. More...
uint8_t | medication_id
| Medication ID. More...
gls_ieee_float16_t | medication
| Medication. More...
uint16_t | hba1c
| HbA1c. More...

## Detailed Description

Glucose measurement context structure.

Definition at line 312 of file gls.h.

## Member Data Documentation

## ◆ carbohydrate

gls_ieee_float16_t gls_meas_ctx_t::carbohydrate

Carbohydrate.

Definition at line 317 of file gls.h.

## ◆ carbohydrate_id

uint8_t gls_meas_ctx_t::carbohydrate_id

Carbohydrate ID.

Definition at line 316 of file gls.h.

## ◆ exercise_duration

uint16_t gls_meas_ctx_t::exercise_duration

Exercise Duration.

Definition at line 320 of file gls.h.

## ◆ exercise_intensity

uint8_t gls_meas_ctx_t::exercise_intensity

Exercise Intensity.

Definition at line 321 of file gls.h.

## ◆ extended_flags

uint8_t gls_meas_ctx_t::extended_flags

Extended Flags.

Definition at line 315 of file gls.h.

## ◆ flags

uint8_t gls_meas_ctx_t::flags

Flags.

Definition at line 314 of file gls.h.

## ◆ hba1c

uint16_t gls_meas_ctx_t::hba1c

HbA1c.

Definition at line 324 of file gls.h.

## ◆ meal

uint8_t gls_meas_ctx_t::meal

Meal.

Definition at line 318 of file gls.h.

## ◆ medication

gls_ieee_float16_t gls_meas_ctx_t::medication

Medication.

Definition at line 323 of file gls.h.

## ◆ medication_id

uint8_t gls_meas_ctx_t::medication_id

Medication ID.

Definition at line 322 of file gls.h.

## ◆ tester_and_health

uint8_t gls_meas_ctx_t::tester_and_health

Tester and health.

Definition at line 319 of file gls.h.

The documentation for this struct was generated from the following file:

- gls.h